scanner_t Struct Reference
Collaboration diagram for scanner_t:
[legend]

## Data Fields

membuffer * | msg
size_t | cursor
int | entire_msg_loaded

## Field Documentation

## cursor

size_t scanner_t::cursor

current position in buffer.

Referenced by http_ReadHttpResponse().

## entire_msg_loaded

int scanner_t::entire_msg_loaded

set this to 1 if the entire msg is loaded in 'msg'; else 0 if only partial msg in 'msg' (default is 0).

## msg

membuffer* scanner_t::msg

raw http msg.

The documentation for this struct was generated from the following file:

- /build/pupnp-EKUuah/pupnp-1.14.18/upnp/src/inc/httpparser.h